GET /interaction/v1/async/events/status

Retrieve the status of contacts that were inserted into a journey using the POST method. Use this operation for troubleshooting batch insertion requests.

To export large amounts of data, use the Download History API instead.

Query Parameters

Name Type Description
type string The type of events to retrieve. Accepted values: errored, queued, or processed.
contactKey string A contact key to retrieve event data for.
requestId string A request ID to retrieve event data for.
eventInstanceId string An event instance ID to retrieve event data for. This field name is reserved for system use. If you have a field in your payload with the same name, the data value for it is ignored, and a random GUID is logged to the data extension.
eventDefinitionKey string An event definition key to retrieve event data for.
$page string The page of results to retrieve. Each page includes the number of records specified by the $pageSize parameter. You can retrieve additional pages by incrementing this number in subsequent calls.
$pageSize string The number of records to return on each page of results. The default value is 50.
startDate string The starting date and time for your query. By default, the API retrieves the last 30 days of data.
endDate string The end date and time for your query.
$orderBy string The field and sort method to use to sort the results. You can sort based on the modifiedDate in ascending (ASC) or descending (DESC) order. Order by timestamp. If you specify this parameter, you must also specify requestId, contactKey, or eventInstanceId. The default value is modifiedDate.
<!-- Removing this row. It shouldn't be necessary because we have $orderBy. --> <!--| sort | string | Results on the timestamp, ordered from oldest to newest. |-->

important: Your request must specify one or more of these parameters:

  • type
  • contactKey
  • requestId
  • eventInstanceId
  • eventDefinitionKey

If your request doesn’t include any of these parameters, the API returns an error.

Response

Name Type Description
page string The current page of results.
pageSize string The number of records in the current page of results.
count int The total number of events in the response. If the value of count is greater than pageSize, you can issue additional GET requests to retrieve additional information. Increment the $page value in each subsequent request.
items array An array that contains the events that were retrieved.
items.eventCategoryType string The status of the event. Possible values: Queued, Processed, or Errored
items.timestamp string Time the event occurred in Central Standard Time.
items.eventDefinitionKey string The eventDefinitionKey associated with this event.
items.requestId string The request ID from the original POST response.
items.info object An object that contains information about the contact or instance.
items.info.contactKey string Unique identifier for a subscriber.
items.info.eventInstanceId string Unique identifier for the instance of processing in the batch, used to track end-to-end progress.
items.info.errorcode string An error code. The response only includes this property if there was an error in processing an event instance.
items.info.message string An error message associated with the error code. The response only includes this property if there was an error in processing an event instance.

Error Codes

<!-- Acrolinx note: the values in the Message column are verbatim responses from the API. Don't let Acrolinx change these values. -->
Error Code Scenario Message
10001 Get Request Contains Invalid Parameter Request contains invalid parameter. Remove the parameter: {variable}
10001 Get Request Contains Extra or Duplicate Parameter Request contains duplicate parameter. Remove the duplicate parameter: {variable}
10001 Get Request Contains Invalid Sort Parameter Request contains invalid sort or order parameter value. Remove the parameter value: {variable}
10002 Get Request Sorting Required Param Missing Enter a required filter parameter and try again. When sorting or ordering, at least one of these parameters is required: contactKey, eventInstanceId, or requestId.
10005 Get Request Page Size Exceeded Limit Enter a valid pageSize and try again. Request pageSize must be between 1 and 10000
10005 Get Request Exceeded Search Limit Request exceeds search limit. Reduce page or pageSize to not exceed a search depth of more than 10000 total records.

Response Example

<!-- The IDs in this example are randomly generated and don't constitute a security risk. -->

A successful request includes the information shown in this example.

{
  "page": 1,
  "pageSize": 50,
  "count": 2,
  "items": [
    {
      "eventCategoryType": "Processed",
      "timestamp": "2023-08-05T13:41:18.55-06:00",
      "eventDefinitionKey": "BatchJourneyExample",
      "requestId": "c77598e6-cae3-4244-913b-6231e6e8a17b",
      "info": {
        "contactKey": "5b78e18e-9249-4392-a18f-da46b7198015",
        "eventInstanceId": "56277a0a-2781-4730-bdfa-7e2f91e33b9d"
      }
    },
    {
      "eventCategoryType": "Queued",
      "timestamp": "2023-08-05T13:42:19.82-06:00",
      "eventDefinitionKey": "BatchJourneyExample",
      "requestId": "c77598e6-cae3-4244-913b-6231e6e8a17b",
      "info": {
        "contactKey": "acc4935f-327a-4d51-bd39-f42071009c54",
        "eventInstanceId": "0b06685d-ada0-474b-86f9-2630a75537eb"
      }
    }
  ]
}